%define module_name MooseX-Role-MongoDB
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Log/Any/Adapter.pm) perl(MongoDB.pm) perl(MongoDB/MongoClient.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/AttributeShortcuts.pm) perl(MooseX/Role/Logger.pm) perl(Parallel/Iterator.pm) perl(Socket.pm) perl(String/Flogger.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Type/Params.pm) perl(Types/Standard.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm) perl(MooseX/Meta/TypeConstraint/Mooish.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.000
Release: alt1
Summary: Provide MongoDB connections, databases and collections
Group: Development/Perl
License: apache
URL: https://github.com/dagolden/MooseX-Role-MongoDB

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DA/DAGOLDEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/M*

%changelog
* Tue Dec 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.000-alt1
- regenerated from template by package builder

* Thu Dec 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.010-alt1
- regenerated from template by package builder

* Sat Apr 09 2016 Igor Vlasenko <viy@altlinux.ru> 0.009-alt1.1
- rebuild to restore role requires

* Wed Dec 16 2015 Igor Vlasenko <viy@altlinux.ru> 0.009-alt1
- update

* Sat Feb 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.007-alt1
- regenerated from template by package builder

* Tue Nov 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- regenerated from template by package builder

* Sat Oct 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

